package v2seal_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type V2SealPersonalListRequest struct {
	User    *common.UserInfoRequest `json:"user,omitempty"`
	Company *common.CompanyRequest  `json:"company,omitempty"`
	// <ext>core:true</ext> 【返回的图片宽度】返回的图片宽度 【传参】 1、单位：像素。 2、宽度与高度都未传时，则按照默认大小返回图片。 3、若仅传宽度，没传高度，则按照传入的宽度等比例缩放。
	Width *int64 `json:"width,omitempty"`
	// <ext>core:true</ext> 【返回的图片高度】返回的图片高度 【传参】 1、单位：像素。 2、宽度与高度都未传时，则按照默认大小返回图片。 3、若仅传高度，没传宽度，则按照传入的高度等比例缩放。
	Height *int64 `json:"height,omitempty"`
	// <ext>core:true</ext> 【签名状态】签名状态 【作用】 指定要查询什么状态下的签名 【传参】 取值范围：ALL（全部），NORMAL（启用），PRE_ADD（预制作），REVOKE（注销），FREEZE（停用）；不传值默认为：NORMAL（启用）。
	PersonSealStatus string `json:"personSealStatus,omitempty"`
}

func (obj V2SealPersonalListRequest) GetUrl() string {
	return "/v2/seal/personal/list"
}

func (obj V2SealPersonalListRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
